from bundlewrap.metadata import atomic

defaults = {
    'apt': {
        'packages': {
            'netdata': {},
        },
    },
    'icinga2_api': {
        'netdata': {
            'services': {
                'NETDATA PROCESS': {
                    'command_on_monitored_host': '/usr/lib/nagios/plugins/check_procs -C netdata -c 1:',
                },
            },
        },
    },
}


@metadata_reactor.provides(
    'iptables/port_rules/19999',
)
def iptables(metadata):
    return {
        'iptables': {
            'port_rules': {
                '19999': atomic(metadata.get('netdata/restrict-to', set('*'))),
            },
        },
    }
